%define api_version 2
%define lib_major 2
%define gir_major	2.0
%define lib_name %mklibname rsvg %{api_version} %{lib_major}
%define libnamedev %mklibname -d rsvg %{api_version}

%define build_mozilla 0

Name:		librsvg
Summary:	Raph's SVG library
Summary(de):	Raph´s SVG Bibliothek
Version:	2.40.18
Release: 	%mkrel 2
License: 	LGPLv2+ and GPLv2+
Group:		System/Libraries
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
URL: 		http://librsvg.sourceforge.net/
Requires:	%{lib_name} >= %{version}
BuildRequires: gtk-doc
BuildRequires: docbook-dtd31-sgml
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}croco0.6_3-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: vala-tools
Obsoletes:	librsvg-gtk3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A library that uses libart and pango to render svg files.

#german
%description -l de
Die Bibliothek mit libart und pango zum Rendern von SVG Dateien.

#-----------------------------------------------------------

%package -n %{lib_name}
Summary:	Raph's SVG library
Summary(de):	Raph´s SVG Bibliothek
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts: %name < 2.16.1-2

%description -n %{lib_name}
A library that uses libart and pango to render svg files.

#german
%description -n %{lib_name} -l de
Die Bibliothek mit libart und pango zum Rendern von SVG Dateien.

#-----------------------------------------------------------

%package -n %{libnamedev}
Summary:	Libraries and include files for developing with librsvg
Summary(de):	Bibliotheken und Include Dateien zur DEntwicklung mit librsvg
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d rsvg 2 2

%description -n %{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#german
%description -n %{libnamedev} -l de
Entwickler Dateien zum erstellen von Anwendungen basierend auf librsvg.

#-----------------------------------------------------------
%if %build_mozilla
%package mozilla
Summary:        Mozilla plugin for displaying SVG files
Summary(de):	Mozilla Erweiterung für das Anzeige von SVG-Dateien
Group:          System/Libraries
BuildRequires:	xulrunner-devel

%description mozilla
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

#german
%description mozilla -l de
%{summary}.
%endif

#-----------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-gtk-doc --disable-static --enable-introspection=yes --enable-vala=yes

%make

%install
rm -rf %buildroot
%makeinstall_std

%if %build_mozilla
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a} \
%endif

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %buildroot

#-----------------------------------------------------------
%post -n %{lib_name}
%_bindir/gdk-pixbuf-query-loaders --update-cache


%files 
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/thumbnailers/librsvg.thumbnailer


%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/librsvg-%{api_version}.so.%{lib_major}*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/*.so
%{_libdir}/girepository-1.0/Rsvg-%{gir_major}.typelib
/usr/share/vala/vapi/librsvg-2.0.vapi

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/librsvg-2.0
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/Rsvg-2.0.gir

%if %build_mozilla
%files mozilla
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/*.so
%endif


%changelog
* Fri Aug 25 2017 adrianomorselli <adrianomorselli> 2.40.18-2uplos2017
- security update
- enable vala
